summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2017-02-01 03:28:53 +0100
committerAndreas Sturmlechner <asturm@gentoo.org>2017-02-01 03:28:53 +0100
commit4bdbda7475a375679eeae7074a401f6b4d1e0f95 (patch)
treee3e2ddf2be632f6982b84a6e63473eda01ccd886 /app-office
parentapp-office/libreoffice: 5.2.5.1 version bump (diff)
downloadgentoo-4bdbda7475a375679eeae7074a401f6b4d1e0f95.tar.gz
gentoo-4bdbda7475a375679eeae7074a401f6b4d1e0f95.tar.bz2
gentoo-4bdbda7475a375679eeae7074a401f6b4d1e0f95.zip
app-office/libreoffice: Fix libreoffice-draw.desktop if ! use pdfimport
Gentoo-bug: 605464 Package-Manager: portage-2.3.3
Diffstat (limited to 'app-office')
-rw-r--r--app-office/libreoffice/libreoffice-5.2.9999.ebuild10
-rw-r--r--app-office/libreoffice/libreoffice-5.3.9999.ebuild10
-rw-r--r--app-office/libreoffice/libreoffice-9999.ebuild10
3 files changed, 27 insertions, 3 deletions
diff --git a/app-office/libreoffice/libreoffice-5.2.9999.ebuild b/app-office/libreoffice/libreoffice-5.2.9999.ebuild
index 76e383a195f..d104014a02b 100644
--- a/app-office/libreoffice/libreoffice-5.2.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-5.2.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -357,6 +357,14 @@ src_prepare() {
# hack...
mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
fi
+
+ # Don't list pdfimport support in desktop when built with none, bug # 605464
+ if ! use pdfimport; then
+ sed -i \
+ -e ":MimeType: s:application/pdf;::" \
+ -e ":Keywords: s:pdf;::" \
+ sysui/desktop/menus/draw.desktop || die
+ fi
}
src_configure() {
diff --git a/app-office/libreoffice/libreoffice-5.3.9999.ebuild b/app-office/libreoffice/libreoffice-5.3.9999.ebuild
index f1761bea742..b8cd07d14d6 100644
--- a/app-office/libreoffice/libreoffice-5.3.9999.ebuild
+++ b/app-office/libreoffice/libreoffice-5.3.9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -356,6 +356,14 @@ src_prepare() {
# hack...
mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
fi
+
+ # Don't list pdfimport support in desktop when built with none, bug # 605464
+ if ! use pdfimport; then
+ sed -i \
+ -e ":MimeType: s:application/pdf;::" \
+ -e ":Keywords: s:pdf;::" \
+ sysui/desktop/menus/draw.desktop || die
+ fi
}
src_configure() {
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild b/app-office/libreoffice/libreoffice-9999.ebuild
index af0a7dc0e77..cc07983c87f 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
@@ -356,6 +356,14 @@ src_prepare() {
# hack...
mv -v "${WORKDIR}/branding-intro.png" "${S}/icon-themes/galaxy/brand/intro.png" || die
fi
+
+ # Don't list pdfimport support in desktop when built with none, bug # 605464
+ if ! use pdfimport; then
+ sed -i \
+ -e ":MimeType: s:application/pdf;::" \
+ -e ":Keywords: s:pdf;::" \
+ sysui/desktop/menus/draw.desktop || die
+ fi
}
src_configure() {